// wgscmapsDlg.h : header file
//

#if ! defined( WGSCMAPSDLG_H )
#  define WGSCMAPSDLG_H 

#include  "ThreadShell.h"

/////////////////////////////////////////////////////////////////////////////
// CWgscmapsDlg dialog

class CWgscmapsDlg : public CDialog
{
// Construction
public:
	virtual ~CWgscmapsDlg();
	BOOL Done();
	void EndApp();
	CWgscmapsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CWgscmapsDlg)
	enum { IDD = IDD_WGSCMAPS_DIALOG };
	CStatic	m_percent;
	CProgressCtrl	m_progress;
	CStatic	m_fname;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWgscmapsDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CWgscmapsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnCancelop();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	int m_bytesCompressed;
	int m_totalBytesToCompress;
	BOOL m_done;
	ThreadShell m_thread;
	CString m_finalName;
	CString m_tempName;
	void StartApp( const CString &path, const CString &name );
	int m_fileNo;
};

extern BOOL dontHide;

#endif
